.about-content,
.contact-content {
  align-items: center;
  display: grid;
  grid-template-columns: 10% 1fr 1fr 10%;
  grid-template-rows: 20% 1fr 10%;
  height: 100vh;
}

.about-desc,
.about-img,
.contact-desc,
.contact-form {
  grid-row: 2/3;
}

.about-desc,
.contact-desc {
  grid-column: 2/3;
}

.about-img,
.contact-form {
  grid-column: 3/4;
  justify-self: flex-end;
}

.about-content {
  .about-desc {
    h1 {
      color: $titleColor;
      font-family: $titleFont;
      font-size: 50px;
      font-weight: 700;
    }

    h4 {
      font-size: 24px;
      font-weight: 400;
      margin-bottom: 40px;
      padding-left: 10px;
    }

    p {
      font-size: 20px;
      padding: 10px 0;
    }
  }

  .about-img {
    height: 450px;
    width: 350px;
  }
}

.contact-content {
  .contact-desc {
    h1 {
      color: $titleColor;
      font-family: $titleFont;
      font-size: 50px;
      margin-bottom: 10px;
    }

    p {
      font-size: 16px;
      line-height: 22px;
      margin-bottom: 30px;
    }

    ul {
      li {
        padding: 3px 0;
      }
    }

    .social {
      @include displayFlex(flex-start, center);
      margin-top: 40px;

      span {
        margin-right: 30px;

        img {
          margin: 0 10px;
          transition: transform 0.3s ease-in-out;

          &:hover {
            transform: translateY(-5px);
          }
        }
      }
    }
  }

  .contact-form {
    h1 {
      color: $titleColor;
      font-family: $titleFont;
      font-size: 30px;
      font-weight: 700;
      margin-bottom: 10px;
    }

    form {
      margin-top: 40px;

      input,
      textarea {
        background: transparent;
        border: none;
        border-bottom: 2px solid $titleColor;
        color: $titleColor;
        font-family: $textFont;
        font-weight: 500;
        height: 50px;
        margin-bottom: 40px;
        padding: 0 10px;
        width: 100%;

        &::placeholder {
          color: $titleColor;
          font-weight: 500;
        }

        &:focus {
          border-bottom-color: lighten($secondaryColor, $amount: 10);
        }
      }

      textarea {
        height: 130px;
        padding-block-end: 20px;
        resize: none;

        &::-webkit-scrollbar {
          background-color: transparent;
          width: 7px;
        }

        &::-webkit-scrollbar-track {
          background-color: rgba(221, 221, 221, 0);
        }

        &::-webkit-scrollbar-thumb {
          background-color: #aaa;
          border-radius: 5px;
          cursor: pointer;
        }
      }

      button {
        @include displayFlex(center, center);
        background: none;
        border: none;
        color: #fff;
        cursor: pointer;
        font-size: 22px;
        font-family: $textFont;

        img {
          height: 25px;
          margin: 0 10px;
        }

        &:hover {
          img {
            animation: sendIconAnim 1s ease-in infinite forwards;
          }
        }
      }
    }
  }
}

@keyframes sendIconAnim {
  to {
    transform: translate(5px, -5px);
  }
}

@media only screen and (max-width: 768px) {
  .about-content,
  .contact-content {
    width: 100vw;
    height: 100vh;
    grid-template-columns: 10px 1fr 10px;
    grid-template-rows: 15% 1fr 1fr 10%;
    overflow: auto;
  }

  .about-img,
  .contact-form {
    grid-column: 2/3;
    grid-row: 3/4;
    justify-self: center !important;
  }

  .contact-desc {
    text-align: center;
    padding: 0px 0 50px 0;

    .social {
      flex-direction: column;

      span {
        margin: 10px 0 !important;
      }
    }
  }

  .contact-form {
    padding-bottom: 50px;
    h1 {
      text-align: center;
    }
  }

  .about-desc {
    text-align: center;
    grid-row: 3/4;
    padding: 30px 0px;
    justify-self: center !important;
  }

  .about-img {
    grid-row: 2/3;
  }
}
